Bug 522047 - ibus-anthy has an ImportError: No module named thumb
Summary: ibus-anthy has an ImportError: No module named thumb
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-anthy
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4034af90
: 522048 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 09:38 UTC by Jens Petersen
Modified: 2011-04-12 02:17 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-27 01:06:57 UTC


Attachments (Terms of Use)
File: backtrace (6.63 KB, text/plain)
2009-09-09 09:38 UTC, Jens Petersen
no flags Details

Description Jens Petersen 2009-09-09 09:38:35 UTC
abrt detected a crash.


How to reproduce
-----
1.
2.
3.


Additional information
======


Attached files
----
backtrace

cmdline
-----
python /usr/share/ibus-anthy/engine/main.py --ibus 


component
-----
ibus-anthy


executable
-----
/usr/share/ibus-anthy/engine/main.py


kernel
-----
2.6.31-0.204.rc9.fc12.i686


package
-----
ibus-anthy-1.2.0.20090907-1.fc12


uuid
-----
4034af90

Comment 1 Jens Petersen 2009-09-09 09:38:38 UTC
Created attachment 360182 [details]
File: backtrace

Comment 2 fujiwara 2009-09-09 09:42:59 UTC
Thanks for your report.
It was fixed yesterday.

http://github.com/fujiwarat/ibus-anthy/commit/4a9511c2691b83fc7f7e02e693e44ff9c80f9c34

Comment 3 fujiwara 2009-09-10 02:22:27 UTC
*** Bug 522048 has been marked as a duplicate of this bug. ***

Comment 4 biAji 2009-11-23 03:20:00 UTC
@@ I'm using released fedora 12, and en-count the same error...

Comment 5 fujiwara 2009-11-24 01:26:44 UTC
(In reply to comment #4)
> @@ I'm using released fedora 12, and en-count the same error...  

Did you check the backtrace?
I guess your issue would be bug 531696 instead.

Comment 6 Kevin Fenzi 2010-09-19 00:18:00 UTC
I was helping someone in #fedora on irc that sees this bug with F13. 
I am re-opening it and they are going to add information...

Comment 7 kamkila 2010-09-19 00:18:52 UTC
Package: ibus-1.3.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. yum remove ibus*
2. yum install ibus-anthy
3. System -> Preferences -> Input Method -> Select iBus
4. Left-click iBus icon in panel -> Select "Japanese - Anthy"
5. Await crash.

Comment 8 Jens Petersen 2010-09-20 03:04:26 UTC
I tried to reproduce with current F13 i686 Live,
but could not.  Could you please describe "step 0".
ie where you are when you start the steps
(ie what ibus packages installed, are they running, etc).

Comment 9 Jens Petersen 2010-09-20 03:05:06 UTC
Also please attach the abrt crash output.

Comment 10 kamkila 2010-09-20 16:41:53 UTC
Starting at Step 3, you are just at the desktop, being a GUI-user.

As for the ibus packages installed:
$ yum list installed ibus*
Loaded plugins: presto, refresh-packagekit
Installed Packages
ibus.x86_64                           1.3.6-1.fc13                      @updates
ibus-anthy.x86_64                     1.2.1-1.fc13                      @fedora 
ibus-gtk.x86_64                       1.3.6-1.fc13                      @updates
ibus-libs.x86_64                      1.3.6-1.fc13                      @updates

I am unsure how to check if a process is running at a given time -- please let me know and I will give that information to you.

More from abrt:
Package:    	ibus-1.3.6-1.fc13
Latest Crash:	Mon 20 Sep 2010 09:24:02 AM 
Command:    	python /usr/share/ibus/ui/gtk/main.py
Reason:     	connection.py:630:call_blocking:DBusException: org.freedesktop.IBus.NoEngine: can not find engine with name anthy
Comment:    	None
Bug Reports:	Status: ASSIGNED
		https://bugzilla.redhat.com/show_bug.cgi?id=522047


If there's any more information you need, please let me know.

Thank you for your help!

Comment 11 fujiwara 2010-09-27 01:06:57 UTC
The attachment 360182 [details] meant /usr/share/ibus-anthy/engine/thumb.py was not installed and it would not be good to reopen this bug.

(In reply to comment #10)
> Reason:      connection.py:630:call_blocking:DBusException:
> org.freedesktop.IBus.NoEngine: can not find engine with name anthy
> Comment:     None

Do you install anthy besides ibus-anthy?

# yum install anthy ibus-anthy

Comment 12 kamkila 2010-09-27 01:27:49 UTC
fujiwara,

Yes, I have both anthy and ibus-anthy.

The reason we re-opened this bug, even though it does not appear to be exactly the same issue as I am having now, is because this is the bug that my abrt refers me to when I try to report my bug.

Thanks for your help.

Comment 13 fujiwara 2010-09-27 01:57:08 UTC
(In reply to comment #12) 

How about running ibus-daemon by manual?

% ps -ef | grep ibus
% pkill ibus-daemon
% ibus-daemon --xim --verbose

How about using a new user account?

Comment 14 Michal Hlavinka 2011-03-03 13:32:31 UTC
I just got the same error for 'anthy' module. I have both anthy and ibus-anthy installed
(In reply to comment #13)
> How about running ibus-daemon by manual?
> 
> % ps -ef | grep ibus

mhlavink  2289  2112  0 14:05 ?        00:00:03 /usr/bin/ibus-daemon --xim
mhlavink  2305  2289  0 14:05 ?        00:00:00 /usr/libexec/ibus-gconf
mhlavink  2307  2289  0 14:05 ?        00:00:03 /usr/bin/python /usr/share/ibus/ui/gtk/main.py
mhlavink  2309     1  0 14:05 ?        00:00:00 /usr/libexec/ibus-x11 --kill-daemon
mhlavink  2314  2289  0 14:05 ?        00:00:00 /usr/bin/python /usr/share/ibus-anthy/engine/main.py --ibus

> % pkill ibus-daemon
> % ibus-daemon --xim --verbose


ibus-daemon --xim --verbose
RELOADED
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/kb231_f_fmv_table/=": `=' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/romaji_typing_rule/default/n'": `'' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/nicola_j_table/[": `[' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/nicola_j_table/]": `]' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/$": `$' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/(": `(' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/,": `,' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/<": `<' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/\": `\' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/`": ``' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/|": `|' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/#": `#' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/'": `'' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/+": `+' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default//": Can't have two slashes '/' in a row
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/;": `;' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/?": `?' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/[": `[' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/{": `{' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/"": `"' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/&": `&' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/.": Can't have a period '.' right after a slash '/'
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/>": `>' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/¥": '\302' is not an ASCII character and thus isn't allowed in key names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/~": `~' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/!": `!' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/%": `%' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/)": `)' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/=": `=' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/]": `]' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/kana_typing_rule/default/}": `}' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/kb611_a_fmv_table/`": ``' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/kb611_a_fmv_table/[": `[' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/kb611_a_fmv_table/\": `\' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/nicola_a_table/[": `[' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/nicola_a_table/]": `]' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/base/,": `,' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/base//": Can't have two slashes '/' in a row
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/base/[": `[' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/base/.": Can't have a period '.' right after a slash '/'
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/base/\": `\' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/base/;": `;' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/kb231_j_fmv_table/=": `=' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/nicola_f_table/[": `[' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/nicola_f_table/]": `]' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/kb231_a_fmv_table/=": `=' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/kb611_j_fmv_table/`": ``' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/kb611_j_fmv_table/[": `[' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/kb611_j_fmv_table/\": `\' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/kb611_f_fmv_table/`": ``' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/kb611_f_fmv_table/[": `[' is an invalid character in key/directory names
GConf Error: Bad key or directory name: "/desktop/ibus/engine/anthy/thumb_typing_rule/kb611_f_fmv_table/\": `\' is an invalid character in key/directory names

Comment 15 Michal Hlavinka 2011-03-03 13:33:27 UTC
this is the backtrace reported by abrt:

connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.Failed: Can not find engine 'anthy'.

Traceback (most recent call last):
  File "/usr/share/ibus/ui/gtk/panel.py", line 510, in __im_menu_item_activate_cb
    self.__focus_ic.set_engine(engine)
  File "/usr/lib/python2.7/site-packages/ibus/inputcontext.py", line 238, in set_engine
    return self.__context.SetEngine(engine.name)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.Failed: Can not find engine 'anthy'.

Local variables in innermost frame:
byte_arrays: False
self: <dbus.connection.Connection object at 0x15e6950>
args: (dbus.String(u'anthy'),)
utf8_strings: False
bus_name: 'org.freedesktop.IBus'
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
object_path: dbus.ObjectPath('/org/freedesktop/IBus/InputContext_6')
timeout: -1.0
signature: u's'
dbus_interface: 'org.freedesktop.IBus.InputContext'
message: <dbus.lowlevel.MethodCallMessage object at 0x15b2b88>
method: 'SetEngine'

Comment 16 fujiwara 2011-03-04 01:11:43 UTC
(In reply to comment #14)
> I just got the same error for 'anthy' module. I have both anthy and ibus-anthy
> installed

I don't think your problem shows the same error.

> ibus-daemon --xim --verbose
> RELOADED
> GConf Error: Bad key or directory name:
> "/desktop/ibus/engine/anthy/thumb_typing_rule/kb231_f_fmv_table/=": `=' is an
> invalid character in key/directory names

Maybe your ibus-anthy is old.
Could you update it?

# yum install ibus-anthy
% rpm -q ibus-anthy
ibus-anthy-1.2.5-3.fc14.x86_64

Comment 17 Michal Hlavinka 2011-03-04 07:14:11 UTC
I have all packages on my system up to date.
$ rpm -q ibus ibus-anthy anthy
ibus-1.3.99.20110206-4.fc15.x86_64
ibus-anthy-1.2.5-4.fc15.x86_64
anthy-9100h-16.fc15.x86_64

I don't see newer packages in koji

Comment 18 fujiwara 2011-03-04 11:20:58 UTC
(In reply to comment #17)
> I have all packages on my system up to date.

OK, I think the your problem was happened in the old version but I think it's fixed now.
You may need to clean up the gconf files.
How about trying a new user or removing gconf files?

1. Stop ibus from ibus panel menu.
2. pkill gconfd-2
3. rm $HOME/.gconf/desktop/ibus/engine/Anthy
4. ibus-daemon --xim &

Comment 19 Michal Hlavinka 2011-03-04 12:33:12 UTC
Tried, but without any change.

> 3. rm $HOME/.gconf/desktop/ibus/engine/Anthy

I did not have this directory, so I've removed ~/.gconf/desktop/ibus/*

I've tried also with new user. 
1) I've added new user: useradd tester
2) setup ibus:

export GTK_IM_MODULE=ibus
export XMODIFIERS="@im=ibus"
export QT_IM_MODULE=ibus

added to ~/.bashrc

3)logged as that user
4)setup anthy:
- rightclick on systray icon->preferences->input method:added japanese-anthy
5)rightclick on systray icon->restart
6)clicked to firefox address bar and systray->leftclick->anthy
-> abrt

btw, when I get this traceback, I can stil use anthy input method as normal

I just found that when I run imsettings-reload, I get notification: """IMSettings won't affects anything on your desktop, please make sure if you have proper module inst...""" (text does not continue)

$ imsettings-info
Xinput file: /etc/X11/xinit/xinput.d/ibus.conf
GTK+ immodule: ibus
Qt immodule: ibus
XMODIFIERS: @im=ibus
XIM server: /usr/bin/ibus-daemon --xim
Preferences: /usr/bin/ibus-setup 
Auxiliary:  
Short Description: IBus
Long Description: 
Icon file: ibus
Is system default: TRUE
Is user default: TRUE
Is XIM server: FALSE

I have these packages installed:
$ rpm -qa | grep -i ims
imsettings-libs-1.2.0-1.fc15.x86_64
imsettings-1.2.0-1.fc15.x86_64

$ rpm -qa | grep -i ibu | grep -v ^libu | sort
ibus-1.3.99.20110206-4.fc15.x86_64
ibus-anthy-1.2.5-4.fc15.x86_64
ibus-chewing-1.3.9.2-2.fc15.x86_64
ibus-gtk2-1.3.99.20110206-4.fc15.x86_64
ibus-gtk3-1.3.99.20110206-4.fc15.x86_64
ibus-hangul-1.3.1-1.fc15.x86_64
ibus-libs-1.3.99.20110206-4.fc15.x86_64
ibus-m17n-1.3.1-18.fc15.x86_64
ibus-pinyin-1.3.99.20110217-2.fc15.x86_64
ibus-pinyin-db-open-phrase-1.3.99.20110217-2.fc15.noarch
ibus-qt-1.3.1-4.fc15.x86_64
ibus-rawcode-1.3.1.20100707-4.fc15.x86_64

Comment 20 fujiwara 2011-03-07 01:31:49 UTC
(In reply to comment #19)
> 6)clicked to firefox address bar and systray->leftclick->anthy
> -> abrt

Would you show the stack trace from abrt?

I guess your original error was fixed:

> > ibus-daemon --xim --verbose
> > RELOADED
> > GConf Error: Bad key or directory name:
> > "/desktop/ibus/engine/anthy/thumb_typing_rule/kb231_f_fmv_table/=": `=' is an
> > invalid character in key/directory names

> 
> btw, when I get this traceback, I can stil use anthy input method as normal
> 
> I just found that when I run imsettings-reload, I get notification:
> """IMSettings won't affects anything on your desktop, please make sure if you
> have proper module inst...""" (text does not continue)

Probably it's another problem.
I think you need to install imsettings-gnome if you use GNOME.

Comment 21 Michal Hlavinka 2011-03-07 14:33:07 UTC
> > 6)clicked to firefox address bar and systray->leftclick->anthy
> > -> abrt
> 
> Would you show the stack trace from abrt?

It's still the same:
===============================================================================
connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.Failed: Can not find engine 'anthy'.

Traceback (most recent call last):
  File "/usr/share/ibus/ui/gtk/panel.py", line 510, in __im_menu_item_activate_cb
    self.__focus_ic.set_engine(engine)
  File "/usr/lib/python2.7/site-packages/ibus/inputcontext.py", line 238, in set_engine
    return self.__context.SetEngine(engine.name)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.Failed: Can not find engine 'anthy'.

Local variables in innermost frame:
byte_arrays: False
self: <dbus.connection.Connection object at 0x2c48950>
args: (dbus.String(u'anthy'),)
utf8_strings: False
bus_name: 'org.freedesktop.IBus'
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
object_path: dbus.ObjectPath('/org/freedesktop/IBus/InputContext_8')
timeout: -1.0
signature: u's'
dbus_interface: 'org.freedesktop.IBus.InputContext'
message: <dbus.lowlevel.MethodCallMessage object at 0x2c14b88>
method: 'SetEngine'
==============================================================================


> > btw, when I get this traceback, I can stil use anthy input method as normal
> > 
> > I just found that when I run imsettings-reload, I get notification:
> > """IMSettings won't affects anything on your desktop, please make sure if you
> > have proper module inst...""" (text does not continue)
> 
> Probably it's another problem.
> I think you need to install imsettings-gnome 

Installing imsettings-gnome and imsettings-qt did not change anything (I already had them on my second computer, where I see this bug too)

> if you use GNOME.

I use KDE

Comment 22 Akira TAGOH 2011-03-08 02:30:03 UTC
(In reply to comment #21)
> Installing imsettings-gnome and imsettings-qt did not change anything (I
> already had them on my second computer, where I see this bug too)
> 
> > if you use GNOME.
> 
> I use KDE

As long as you take the appropriate actions for upgrading, this kind of error won't happens. see http://fedoraproject.org/wiki/Upgrading

Comment 23 Michal Hlavinka 2011-03-08 12:44:30 UTC
(In reply to comment #22)
> (In reply to comment #21)
> > Installing imsettings-gnome and imsettings-qt did not change anything (I
> > already had them on my second computer, where I see this bug too)
> > 
> > > if you use GNOME.
> > 
> > I use KDE
> 
> As long as you take the appropriate actions for upgrading, this kind of error
> won't happens. see http://fedoraproject.org/wiki/Upgrading

Could you explain why updating through yum --releasever=FN+1 update/distro-sync should be a problem? AFAIK this is not recommended method only because it can fail with broken package dependencies which yum can report fine and I had never any problem with this way of updates (except broken yum deps) since Fedora 8 (I've resinstalled my systems several times since). So, was this just a guess from you or you can explain why it does not work in this case?

Anyway, I've just installed F 14 into virtual machine, setup ibus anthy and then updated system through anaconda (iso) to F 15alpha which is supported way of upgrading systems, but the result is still exactly the same.

Comment 24 fujiwara 2011-03-09 01:09:42 UTC
(In reply to comment #23)
> (In reply to comment #22)
> > (In reply to comment #21)
> > > Installing imsettings-gnome and imsettings-qt did not change anything (I
> > > already had them on my second computer, where I see this bug too)
> > > 
> > > > if you use GNOME.
> > > 
> > > I use KDE
> > 

OK, please wait for my evaluation. Thanks.
Currently I focus on another bug. I'll come back to this problem later.

Comment 25 Akira TAGOH 2011-03-09 01:49:21 UTC
> """IMSettings won't affects anything on your desktop, please make sure if you
> have proper module inst...""" (text does not continue)

I'm mentioning about only above message here. please file a separate bug if you still see that on even clean-installed box. talking about multiple issues in one bugzilla entry makes confusion. though either of imsettings-* sub-packages are surely referenced to the certain desktop groups.

Comment 26 fujiwara 2011-03-09 08:07:30 UTC
(In reply to comment #21)
> It's still the same:
> ===============================================================================
> connection.py:630:call_blocking:DBusException:
> org.freedesktop.DBus.Error.Failed: Can not find engine 'anthy'.
> 
> Traceback (most recent call last):
>   File "/usr/share/ibus/ui/gtk/panel.py", line 510, in
> __im_menu_item_activate_cb
>     self.__focus_ic.set_engine(engine)
>   File "/usr/lib/python2.7/site-packages/ibus/inputcontext.py", line 238, in
> set_engine
>     return self.__context.SetEngine(engine.name)
>   File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in
> __call__
>     **keywords)
>   File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in
> call_blocking
>     message, timeout)
> DBusException: org.freedesktop.DBus.Error.Failed: Can not find engine 'anthy'.

OK, I understood your problem.
But I don't think your issue was same, that you indicated the gconf errors or the original bug thumb issue.

Would you file a new bug for ibus?
Your issue is not this bug.

ibus calls _ic_set_engine() but the signal REQUEST_ENGINE is not connected to new_engine_cb().

Comment 27 Michal Hlavinka 2011-03-09 14:37:51 UTC
(In reply to comment #26)
> OK, I understood your problem.
> But I don't think your issue was same, that you indicated the gconf errors or
> the original bug thumb issue.
> 
> Would you file a new bug for ibus?
> Your issue is not this bug.

Done, filed as bug #683484 I've just found it's not related to F14->F15 upgrade and problem happens even in F15Alpha Gnome live cd.

Comment 28 chi chien lin 2011-03-13 16:12:45 UTC
connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.Failed: Can not find engine 'chewing'.

Traceback (most recent call last):
  File "/usr/share/ibus/ui/gtk/panel.py", line 510, in __im_menu_item_activate_cb
    self.__focus_ic.set_engine(engine)
  File "/usr/lib/python2.7/site-packages/ibus/inputcontext.py", line 238, in set_engine
    return self.__context.SetEngine(engine.name)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.Failed: Can not find engine 'chewing'.

Local variables in innermost frame:
byte_arrays: False
self: <dbus.connection.Connection object at 0x1e5f950>
args: (dbus.String(u'chewing'),)
utf8_strings: False
bus_name: 'org.freedesktop.IBus'
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
object_path: dbus.ObjectPath('/org/freedesktop/IBus/InputContext_6')
timeout: -1.0
signature: u's'
dbus_interface: 'org.freedesktop.IBus.InputContext'
message: <dbus.lowlevel.MethodCallMessage object at 0x1f7bed0>
method: 'SetEngine'

1. IBus start error.
2. Can't input chinese.

Comment 29 sangu 2011-04-12 00:08:52 UTC
connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.Failed: Timeout was reached

Traceback (most recent call last):
  File "/usr/share/ibus/ui/gtk/panel.py", line 511, in __im_menu_item_activate_cb
    self.__focus_ic.set_engine(engine)
  File "/usr/lib/python2.7/site-packages/ibus/inputcontext.py", line 238, in set_engine
    return self.__context.SetEngine(engine.name)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.Failed: Timeout was reached

Local variables in innermost frame:
byte_arrays: False
self: <dbus.connection.Connection object at 0x2c4d110>
args: (dbus.String(u'hangul'),)
utf8_strings: False
bus_name: 'org.freedesktop.IBus'
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
object_path: dbus.ObjectPath('/org/freedesktop/IBus/InputContext_12')
timeout: -1.0
signature: u's'
dbus_interface: 'org.freedesktop.IBus.InputContext'
message: <dbus.lowlevel.MethodCallMessage object at 0x2dddd80>
method: 'SetEngine'

Can not enable Korean Input Method.

ibus-1.3.99.20110228-6.fc15.x86_64
ibus-hangul-1.3.1-1.fc15.x86_64
dbus-1.4.6-3.fc15.x86_64

Comment 30 fujiwara 2011-04-12 02:17:28 UTC
(In reply to comment #29)
> dbus_interface: 'org.freedesktop.IBus.InputContext'
> message: <dbus.lowlevel.MethodCallMessage object at 0x2dddd80>
> method: 'SetEngine'
> 
> Can not enable Korean Input Method.

Please comment on bug #683484 instead. This bug is for importing thumb module but not SetEngine.

I don't see any problems with ibus-1.3.99.20110228-3.fc15 or later.
Probably I need the reproducing steps about your issue.

> 
> ibus-1.3.99.20110228-6.fc15.x86_64
> ibus-hangul-1.3.1-1.fc15.x86_64
> dbus-1.4.6-3.fc15.x86_64


Note You need to log in before you can comment on or make changes to this bug.